PSP Go. Stay on 6.2 or update to 6.6?

Discussion in 'PSP - Hacking & Homebrew' started by erfg12, Dec 11, 2013.

  1. erfg12
    OP

    erfg12 Advanced Member

    Newcomer
    54
    16
    Oct 7, 2013
    United States
    I have a PSP Go on the 6.2 firmware. I read a few threads here and some on other sites about modding on 6.2 and 6.6. Most people say 6.2 is better because you will have a permanent CFW. But, these posts are dated 2011. If they are still true, I don't know since wololo.net says to just go ahead and update to 6.6

    http://wololo.net/installing-pro-cfw-on-a-psp-go/

    Then I read the newest sticky tutorial here and it says only certain PSP models can go to 6.6 and get a permanent CFW. I see the 1000 series and 2000 series listed here, but what is a PSP go? Is that part of the 1000 and/or 2000 series?

    http://gbatemp.net/threads/how-to-softmod-hack-your-psp.293978/

    I think I need clarification first before I update to 6.6.

    Thanks!
     
  2. Snailface

    Snailface My frothing demand for 3ds homebrew is increasing

    Member
    4,324
    1,983
    Sep 20, 2010
    Engine Room with Cyan, watching him learn.
    Not much has changed since 2011.

    6.60 will give you better game compatibility and Musicc Unlimited.
    6.20 will give the extra convenience of perm hack. (you don't have to launch a file to start CFW mode)

    You can always downgrade back if you don't like 6.60 for whatever reason.
     
  3. erfg12
    OP

    erfg12 Advanced Member

    Newcomer
    54
    16
    Oct 7, 2013
    United States
    Can you be on 6.2 and spoof 6.6 to get the better game compatibility?
     
  4. jastolze

    jastolze GBAtemp Fan

    Member
    360
    49
    May 2, 2012
    United States
    I personally haven't had any issues with compatibility on 6.20. Although, I updated to 6.60 because a couple of plugins wouldn't work for me.

    If you own a GO, I'd stay on 6.20, as I find it to be an inconvenience to boot CFW every launch, although many will disagree with me on that statement.

    If for whatever reason you do decide to update to 6.60, you can always downgrade back to 6.20 if you don't like using the newest FW.
     
  5. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    No.

    Staying at 6.20 is a bit pointless. It only takes 5 to 10 seconds to boot LCFW.
     
  6. Kalker3

    Kalker3 GBAtemp Fan

    Member
    406
    181
    Apr 5, 2013
    France
    You only have to boot LCFW if you shut down the PSP.
    If you put in sleep mode there's no need to boot it.
     
  7. razielleonhart

    razielleonhart RazzyDee

    Member
    320
    99
    May 21, 2008
    stick with 6.20 its better and if you want the PSN network use the plug in PSNfucker
     
  8. reprep

    reprep GBAtemp Advanced Fan

    Member
    935
    301
    Jul 5, 2012
    i usually use my PSP go with sleep mode on 6.60 so i rarely rerun the cfw. though i have never tried 6.20

    though if i were you, i wouln't update to 6.60 unless

    1) Have a problematic game or homebrew on 6.20
    2) Actively use PSN and purchase stuff. (i know there is a plugin but i would still prefer to be on latest CFW if i spend money on PSN)
     
  9. paulzheng

    paulzheng Newbie

    Newcomer
    2
    0
    Dec 10, 2013
    Switzerland

    PSPgo ? I suggest to update 6.60 by official ver. it's legal.
    By the way. the pspgo's update files is different with PSP's

    and then you can install 6.60pro -c2 fix patch to crack your PSP
     
  10. codezer0

    codezer0 Gaming keeps me sane

    Member
    2,444
    402
    Jul 14, 2009
    United States
    The Magic School Bus
    Funny, I never needed any extra plugin with my go to get on the PSN. But that was still before $ony decided to ban my account and my 60gig. :nayps3:
     
  11. Kalker3

    Kalker3 GBAtemp Fan

    Member
    406
    181
    Apr 5, 2013
    France
    There's no need to use a plugin if you're on 6.60. You can access PSN like OFW users do.
     
  12. codezer0

    codezer0 Gaming keeps me sane

    Member
    2,444
    402
    Jul 14, 2009
    United States
    The Magic School Bus
    What i am saying is that my go was on 6.20 and still did not need a plugin for psn access. Now that they banned my account i don't care as much but even now that wasnt a problem with the go.
     
  13. Foxi4

    Foxi4 On the hunt...

    pip Reporter
    23,557
    21,534
    Sep 13, 2009
    Poland
    Gaming Grotto
    Compatibility-wise the differences are marginal if at all present. 6.60 is simply the latest firmware with native PSN access and Music Unlimited - if you don't dig those two features, there's no reason for you to update.
     
  14. Arras

    Arras GBAtemp Guru

    Member
    5,863
    2,679
    Sep 14, 2010
    Netherlands
    If you don't use PSN there's pretty much zero difference, yeah. The only thing is that apparently only 6.60 can't be permapatched.
     
  15. codezer0

    codezer0 Gaming keeps me sane

    Member
    2,444
    402
    Jul 14, 2009
    United States
    The Magic School Bus
    At the very least, there are no games (digital or disc) that required anything newer than firmware 6.20 for the PSP.

    But yea, if you're running PRO CFW, it's my understanding that newer builds have enabled PSN access without the need for additional plugins and the like. Since I pretty much always ran PRO on my go, that's probably why it never required me to update.
     
  16. Belmondo

    Belmondo GBAtemp Regular

    Member
    105
    42
    Jul 24, 2007
    New Zealand
    on my pspgo I still have 6.20 there is no difference in game compatibility between 6.20 and 6.60. 6.20 just has perma patch which I prefer. The only thing that 6.60 has going in it's favour is the fusa SD plugin for full screen tv output that was patched to run on 6.30+.
     
  17. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    Wrong. There are couple games that required 6.30+ firmware.

    * Growlanser Wayfarer of Time (6.60)
    * The Legend of Heroes: Trails in the Sky (6.30+)
    * Dissidia 012 Final Fantasy (6.37+)
    * Fate/Extra CCC (6.60)

    And many more games. PSP is still getting games, and these new games are signed for 6.60.
     
  18. codezer0

    codezer0 Gaming keeps me sane

    Member
    2,444
    402
    Jul 14, 2009
    United States
    The Magic School Bus
    Funny, I could launch Dissidia 012 on my go no problem, running 6.20. :teach:
     
  19. nl255

    nl255 GBAtemp Addict

    Member
    2,582
    364
    Apr 9, 2004
    However 6.20 CFW has the decryption keys for all those newer games all the way up to 6.60 so they will still work.